Bug 13277 - Better Error Reporting in RPM Build
Summary: Better Error Reporting in RPM Build
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-30 16:05 UTC by Thornton Prime
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 01:18:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thornton Prime 2000-06-30 16:05:35 UTC
If you attempt to build an rpm without having first installed the rpm-build
package, rpm simply returns a list of RPM command options.

It should report that rpm-build capability is not installed. Better yet, it
should not list the rpm build options in the option list, and have a
notation that rpm-build is not installed.

Comment 1 R P Herrold 2000-07-03 01:18:19 UTC
Additionally, during an Upgrade, it (the RPM in the second stage image) will not 
--rebuilddb as packaged in beta-2.

This prevents credible attempts to fix a hosed partially upgraded RPM database. 


Comment 2 Jeff Johnson 2000-07-10 20:05:27 UTC
rpm is being split into possibly 5 executables, and the build modes have already
been moved
to a new executable /usr/bin/rpmb. Meanwhile, to cope with the transition, rpm
rexecutes
/usr/bin/rpmb [passing the original arguments, and there is no way using current
popt aliases
to identify the failed exec when rpm-build is not installed.

I'd suggest that you should start to type rpmb when building, and be prepared
for the
executable to be renamed to  (IMHO sligltly less nerdy, YMMV) rpmbuild.

The other issue with --rebuilddb is a whole different can of worms. Please add a
new bug with more details if you wish me to fix.


Note You need to log in before you can comment on or make changes to this bug.